#pragma once

#include <balancer/client/experimental/base/response_stream.h>

namespace NHttp::NRequesters {
class TBufferResponseStream: public NHttp::IResponseStream {
  public:
    TBufferResponseStream(NSrvKernel::TChunkList buffer);

    void Read(size_t sizeLimit, bool peek, TInstant /*deadline*/, TReadHandler callback) noexcept override;

  private:
    NSrvKernel::TChunkList Buffer_;
};
}
